> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Location Intelligence

> Verify the end user location after browser location permission is granted.



## OpenAPI

````yaml api-reference/openapi.json POST /api/v3/verifications/location-intelligence
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        description: IDmeta environment subdomain
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Trust Flow Links
    description: Trust Flow link generation endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
  - name: Alternative Verifications
    description: Alternative verification and intelligence endpoints
  - name: OCR
    description: Document OCR extraction endpoints
paths:
  /api/v3/verifications/location-intelligence:
    post:
      tags:
        - Compliance
      summary: Location Intelligence
      description: >-
        Verifies the end user's location after they grant browser location
        permission. Prompt the user to allow location access, read the
        coordinates from the device geolocation API, then pass them as query
        parameters with your trust validation context.
      operationId: locationIntelligenceV3
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LocationIntelligenceRequest'
            examples:
              default:
                summary: Location intelligence verification request
                value:
                  latitude: <string>
                  longitude: <string>
                  trustFlowId: 0
                  trustValidationId: '{your_trust_validation_id}'
      responses:
        '200':
          description: Location intelligence verification completed successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationIntelligenceResponse'
              example:
                success: true
                message: Location intelligence verification processed successfully
                data:
                  latitude: <string>
                  longitude: <string>
                  ip_address: <string>
                  address:
                    address_line: null
                    city: <string>
                    state: null
                    zip_code: <string>
                    country: <string>
                verificationStatus: VERIFIED
                verificationStatusCode: 3
                trustFlowId: 0
                trustValidationId: '{your_trust_validation_id}'
                verificationType: location_intelligence
components:
  schemas:
    LocationIntelligenceRequest:
      type: object
      required:
        - latitude
        - longitude
        - trustFlowId
        - trustValidationId
      properties:
        latitude:
          type: string
          description: Latitude of the location.
        longitude:
          type: string
          description: Longitude of the location.
        trustFlowId:
          type: integer
          description: Trust flow identifier.
        trustValidationId:
          type: string
          description: Trust validation identifier.
    LocationIntelligenceResponse:
      type: object
      required:
        - success
        - message
        - data
        - verificationStatus
        - verificationStatusCode
        - trustFlowId
        - trustValidationId
        - verificationType
      properties:
        success:
          type: boolean
        message:
          type: string
        data:
          type: object
          properties:
            latitude:
              type: number
            longitude:
              type: number
            ip_address:
              type: string
            address:
              type: object
              properties:
                address_line:
                  type: string
                  nullable: true
                city:
                  type: string
                  nullable: true
                state:
                  type: string
                  nullable: true
                zip_code:
                  type: string
                  nullable: true
                country:
                  type: string
                  nullable: true
        verificationStatus:
          type: string
        verificationStatusCode:
          type: integer
        trustFlowId:
          type: integer
        trustValidationId:
          type: string
        verificationType:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````